Subject: Re: [PATCH v9 00/23] perf python: Modernize and extend Python API (Phase 1)

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 25 May 2026 17:17:40 -0300

On Mon, May 25, 2026 at 05:14:25PM -0300, Arnaldo Carvalho de Melo wrote:
> On Fri, May 22, 2026 at 03:04:11PM -0700, Ian Rogers wrote:
> > This series takes a different approach with some initial implementation posted
> > as an RFC last October:
> > https://lore.kernel.org/linux-perf-users/[email-masked]/
> > with the motivation coming up on the mailing list earlier:
> > https://lore.kernel.org/lkml/CAP-5=fWDqE8SYfOLZkg_0=[email-masked]/

> > The ultimate goal is to remove the embedded libpython and libperl support from
> > perf entirely, expanding the existing perf Python module to provide full access
> > to perf data files and events, allowing scripts to be run as standalone Python
> > applications.
 
> I tried applying it now and got this:
 
> Cover: ./v9_20260522_irogers_perf_python_modernize_and_extend_python_api_phase_1.cover
>  Link: https://lore.kernel.org/r/[email-masked]
>  Base: not specified
>        git am ./v9_20260522_irogers_perf_python_modernize_and_extend_python_api_phase_1.mbx
> ⬢ [acme@toolbx perf-tools-next2]$        git am ./v9_20260522_irogers_perf_python_modernize_and_extend_python_api_phase_1.mbx
> Applying: perf arch arm: Sort includes and add missed explicit dependencies
> Applying: perf arch x86: Sort includes and add missed explicit dependencies
> Applying: perf tests: Sort includes and add missed explicit dependencies
> Applying: perf script: Sort includes and add missed explicit dependencies
> Applying: perf util: Sort includes and add missed explicit dependencies
> error: patch failed: tools/perf/util/evsel.c:11
> error: tools/perf/util/evsel.c: patch does not apply
> Patch failed at 0005 perf util: Sort includes and add missed explicit dependencies
> hint: Use 'git am --show-current-patch=diff' to see the failed patch
> hint: When you have resolved this problem, run "git am --continue".
> hint: If you prefer to skip this patch, run "git am --skip" instead.
> hint: To restore the original branch and stop patching, run "git am --abort".
> hint: Disable this message with "git config set advice.mergeConflict false"
> ⬢ [acme@toolbx perf-tools-next2]$ git am --abort
> ⬢ [acme@toolbx perf-tools-next2]$ git diff
> ⬢ [acme@toolbx perf-tools-next2]$
 
> I agree with the intent and plan on reviewing and testing it.

What I have now is at tmp.perf-tools-next if you wish to rebase from
there,

Regards,

- Arnaldo